[Nevis-linux] Default versions of G4 and ROOT

William Seligman seligman at nevis.columbia.edu
Mon May 16 18:34:30 EDT 2016


This only applies to those who set up Geant4 or ROOT at Nevis with the "module 
load" command. If you're using G4 or ROOT from within a software framework 
(e.g., Athena for ATLAS, LArSoft for MicroBooNE) then this email does not apply 
to you.

I'd like to change the default version of Geant4 (the one you get if just type 
"module load geant4") to 4.10.2, and the default version of ROOT ("module load 
root") to 6.06.04. The latter includes Python 3.5.1 and Jupyter 4.1.0. This is 
to make things simpler for the summer students who'll arrive in a couple of weeks.

I plan to make this switch this Friday, May 20. If this would disrupt your work, 
please let me know before then.

If you want to test these versions, you can do it with:

   module load geant/4.10.2 root/06.06.04

If you need a refresher on the module command, it's here:
<https://twiki.nevis.columbia.edu/twiki/bin/view/Main/EnvironmentModules>
-- 
William Seligman          | Phone: (914) 591-2823
Nevis Labs, Columbia Univ |
PO Box 137                |
Irvington NY 10533 USA    | http://www.nevis.columbia.edu/~seligman/

-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 4266 bytes
Desc: S/MIME Cryptographic Signature
Url : http://listserv.nevis.columbia.edu/pipermail/nevis-linux/attachments/20160516/2a56e58f/attachment.bin 


More information about the Nevis-linux mailing list